#include "debugging.h"


/* count the mallocs and frees to determine _if_
   a memory leak exists.  This will NOT do automatic 
   garbage collection...  find and fix your own bugs!
   Eventually I will keep track of exactly what dynamic
   memory is not being released.  
*/
int debug_leaks(char val)
{
  static int __count__ = 0;

  switch(val)
  {
     case GET_DMA_COUNT: return(__count__);
     default: __count__+= (val==ADD_MALLOC)?1:-1;
              return(__count__); 
  }
}
